STRINGS = GLOBAL.STRINGS
RECIPETABS = GLOBAL.RECIPETABS
Recipe = GLOBAL.Recipe
Ingredient = GLOBAL.Ingredient
TECH = GLOBAL.TECH
local TUNING = GLOBAL.TUNING
local ACTIONS = GLOBAL.ACTIONS
local Action = GLOBAL.Action
local require = GLOBAL.require

local AllRecipes = GLOBAL.AllRecipes

local GetValidRecipe = GLOBAL.GetValidRecipe
local RECIPETABS = GLOBAL.RECIPETABS


local TheInput = GLOBAL.TheInput
local ThePlayer = GLOBAL.ThePlayer
local IsServer = GLOBAL.TheNet:GetIsServer()


all_clients_require_mod = true 



local IsMarbleCombatModEnabled = false

if GLOBAL.TheNet:GetIsClient() then
	local ListOfServerMods = GLOBAL.TheNet:GetServerModNames()
	for k, v in pairs(ListOfServerMods) do
		if v == "workshop-783732757" or v == "Marble Combat"  then
			IsMarbleCombatModEnabled = true
		end
	end
end

if GLOBAL.KnownModIndex then
	if GLOBAL.KnownModIndex:IsModEnabled("workshop-783732757") or GLOBAL.KnownModIndex:IsModEnabled("Marble Combat")  then
		IsMarbleCombatModEnabled = true
	end
end

if IsMarbleCombatModEnabled then
	print("----> Marble Mod Is Enabled!")
end




PrefabFiles = {
"armor_redgem",
"armor_bluegem",
"armor_purplegem",
"armor_greengem",
"armor_yellowgem",
"armor_orangegem",
"armor_opalgem",
"armor_whitegem",
}





local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS






STRINGS.NAMES.ARMOR_REDGEM = "Crimson Chestplate"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.ARMOR_REDGEM = "Keep my body from freezing and my organs from splling."
STRINGS.RECIPE_DESC.ARMOR_REDGEM = "Vibrant piece of equipment."

STRINGS.NAMES.ARMOR_BLUEGEM = "Azure Cuirass"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.ARMOR_BLUEGEM = "Freeze em where they stand.."
STRINGS.RECIPE_DESC.ARMOR_BLUEGEM = "Chilling protection."

STRINGS.NAMES.ARMOR_PURPLEGEM = "Violet Hauberk"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.ARMOR_PURPLEGEM = "A maddening form of protection."
STRINGS.RECIPE_DESC.ARMOR_PURPLEGEM = "Scary layer of defense."

STRINGS.NAMES.ARMOR_OPALGEM = "Iridescent Suit"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.ARMOR_OPALGEM = "Armor for a true lunatic."
STRINGS.RECIPE_DESC.ARMOR_OPALGEM = "Legendary gear."

STRINGS.NAMES.ARMOR_ORANGEGEM = "Amber Breastplate"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.ARMOR_ORANGEGEM = "I feel pumped just looking at this."
STRINGS.RECIPE_DESC.ARMOR_ORANGEGEM = "Makes you go fast."

STRINGS.NAMES.ARMOR_YELLOWGEM = "Maize Brigandine"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.ARMOR_YELLOWGEM = "For those who love the thrill of battle."
STRINGS.RECIPE_DESC.ARMOR_YELLOWGEM = "Take joy in combat."

STRINGS.NAMES.ARMOR_GREENGEM = "Emerald Mail"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.ARMOR_GREENGEM = "Makes me rather dangerous to attack."
STRINGS.RECIPE_DESC.ARMOR_GREENGEM = "Dangerously defensive gear."




-- AddRecipe stuff -- 
    AddRecipe("armor_redgem", 
	{Ingredient("rope", 2), Ingredient("flint", 1), Ingredient("redgem", 3)}, 
	RECIPETABS.WAR, TECH.SCIENCE_TWO, nil, nil, nil, nil, nil, "images/inventoryimages/armor_redgem.xml", "armor_redgem.tex")

    AddRecipe("armor_bluegem", 
	{Ingredient("rope", 2), Ingredient("flint", 1), Ingredient("bluegem", 3)}, 
	RECIPETABS.WAR, TECH.SCIENCE_TWO, nil, nil, nil, nil, nil, "images/inventoryimages/armor_bluegem.xml", "armor_bluegem.tex")	
	
    AddRecipe("armor_purplegem", 
	{Ingredient("livinglog", 1), Ingredient("rope", 2), Ingredient("purplegem", 3)}, 
	RECIPETABS.WAR, TECH.SCIENCE_TWO, nil, nil, nil, nil, nil, "images/inventoryimages/armor_purplegem.xml", "armor_purplegem.tex")
	
	AddRecipe("armor_opalgem", 
	{Ingredient("livinglog", 1), Ingredient("rope", 2), Ingredient("opalpreciousgem", 1)}, 
	RECIPETABS.WAR, TECH.MAGIC_THREE, nil, nil, nil, nil, nil, "images/inventoryimages/armor_opalgem.xml", "armor_opalgem.tex")
	
	 AddRecipe("armor_yellowgem", 
	{Ingredient("armorwood", 1), Ingredient("thulecite", 2), Ingredient("yellowgem", 1)}, 
	RECIPETABS.ANCIENT, TECH.ANCIENT_TWO, nil, nil, true, nil, nil, "images/inventoryimages/armor_yellowgem.xml", "armor_yellowgem.tex")
	
	AddRecipe("armor_greengem", 
	{Ingredient("armorwood", 1), Ingredient("thulecite", 2), Ingredient("greengem", 1)}, 
	RECIPETABS.ANCIENT, TECH.ANCIENT_TWO, nil, nil, true, nil, nil, "images/inventoryimages/armor_greengem.xml", "armor_greengem.tex")
	
	AddRecipe("armor_orangegem", 
	{Ingredient("armorwood", 1), Ingredient("thulecite", 2), Ingredient("orangegem", 1)}, 
	RECIPETABS.ANCIENT, TECH.ANCIENT_TWO, nil, nil, true, nil, nil, "images/inventoryimages/armor_orangegem.xml", "armor_orangegem.tex")

if IsMarbleCombatModEnabled then


	print("----> Marble Mod Is Enabled!")
STRINGS.NAMES.ARMOR_WHITEGEM = "Diamond Guard"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.ARMOR_WHITEGEM = "That's one tough piece of armor."
STRINGS.RECIPE_DESC.ARMOR_WHITEGEM = "Beautiful and protective."

	AddRecipe("armor_whitegem", 
	{Ingredient("livinglog", 4), Ingredient("rope", 4), Ingredient("whitegem", 2, "images/inventoryimages/whitegem.xml")}, 
	RECIPETABS.WAR, TECH.MAGIC_TWO, nil, nil, nil, nil, nil, "images/inventoryimages/armor_whitegem.xml", "armor_whitegem.tex")	
	else
	end



AddStategraphPostInit("wilson", function(sg)
    local old_attacked = sg.events.attacked.fn
    sg.events.attacked.fn = function(inst, data)
if not inst.components.health:IsDead() then
            if inst:HasTag("unstunnable") then
                inst.SoundEmitter:PlaySound("dontstarve/wilson/hit")
    if inst.hurtsoundoverride ~= nil then
inst.SoundEmitter:PlaySound(inst.hurtsoundoverride)
elseif not inst:HasTag("mime") then
inst.SoundEmitter:PlaySound((inst.talker_path_override or "dontstarve/characters/")..(inst.soundsname or inst.prefab).."/hurt")
end
return
            else
                return old_attacked(inst, data)
            end
        end
    end
end)


