local assets =
{
    Asset("ANIM", "anim/armor_greengem.zip"),
    Asset("ATLAS", "images/inventoryimages/armor_greengem.xml"),
	Asset("IMAGE", "images/inventoryimages/armor_greengem.tex"),
}

local function StopPoison(inst)
inst:RemoveTag("poisoned")
inst.components.health:StopRegen()
inst.AnimState:SetMultColour(1,1,1,1)
end


local function OnBlocked(owner, data)
    owner.SoundEmitter:PlaySound("dontstarve/wilson/hit_scalemail")
		    if data.attacker and data.attacker.components.health and data.attacker:HasTag("poisoned") then 
		
		else	
if data.attacker and data.attacker.components.health then
data.attacker:AddTag("poisoned")
data.attacker.components.health:StartRegen(-4, 1)
data.attacker.AnimState:SetMultColour(2,2,0,2)
data.attacker:DoTaskInTime(5, StopPoison)
   else

    end
    end
	    end



local function OnTakeDamage(inst, data)

end







local function onequip(inst, owner)
    owner.AnimState:OverrideSymbol("swap_body", "armor_greengem", "swap_body")
    inst:ListenForEvent("blocked", OnBlocked, owner)
		inst:ListenForEvent("attacked", OnBlocked, owner)

end

local function onunequip(inst, owner)
    owner.AnimState:ClearOverrideSymbol("swap_body")
    inst:RemoveEventCallback("blocked", OnBlocked, owner)
	    inst:RemoveEventCallback("attacked", OnBlocked, owner)


end

local function fn()
    local inst = CreateEntity()
    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    inst.entity:AddNetwork()

    MakeInventoryPhysics(inst)

    inst.AnimState:SetBank("armor_grass")
    inst.AnimState:SetBuild("armor_greengem")
    inst.AnimState:PlayAnimation("anim")


    inst.foleysound = "dontstarve/movement/foley/jewlery"

    inst.entity:SetPristine()

    if not TheWorld.ismastersim then
        return inst
    end

    inst:AddComponent("inspectable")





    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.imagename = "armor_greengem"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/armor_greengem.xml"

    inst:AddComponent("armor")
    inst.components.armor:InitCondition(2000, TUNING.ARMORDRAGONFLY_ABSORPTION)
	inst.components.armor.ontakedamage = OnTakeDamage
	
		

    inst:AddComponent("equippable")
    inst.components.equippable.equipslot = EQUIPSLOTS.BODY
	inst.components.equippable.walkspeedmult = 1.1

	
    inst.components.equippable:SetOnEquip(onequip)
    inst.components.equippable:SetOnUnequip(onunequip)

    MakeHauntableLaunch(inst)

	inst:AddTag("waterproofer")
	inst:AddComponent("waterproofer")
    inst.components.waterproofer:SetEffectiveness(TUNING.WATERPROOFNESS_SMALL)

    return inst
end

return Prefab("armor_greengem", fn, assets)



