local assets =
{
    Asset("ANIM", "anim/armor_redgem.zip"),
    Asset("ATLAS", "images/inventoryimages/armor_redgem.xml"),
	Asset("IMAGE", "images/inventoryimages/armor_redgem.tex"),
}


local prefabs = 
{
	"groundpoundring_fx",
}




local function StopHeal(inst)
inst:RemoveTag("healing")
inst.components.health:StopRegen()
end



local function OnBlocked(owner, data)
    owner.SoundEmitter:PlaySound("dontstarve/wilson/hit_scalemail")
if owner:HasTag("healing") then

else

owner:AddTag("healing")
	owner.components.health:StartRegen(1, 1)
	owner:DoTaskInTime(5, StopHeal)
end
end







local function onequip(inst, owner)

    owner.AnimState:OverrideSymbol("swap_body", "armor_redgem", "swap_body")
    inst:ListenForEvent("blocked", OnBlocked, owner)
    inst:ListenForEvent("attacked", OnBlocked, owner)

end

local function onunequip(inst, owner)
    
    owner.AnimState:ClearOverrideSymbol("swap_body")
    inst:RemoveEventCallback("blocked", OnBlocked, owner)
    inst:RemoveEventCallback("attacked", OnBlocked, owner)

end

local function fn()
    local inst = CreateEntity()
    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    inst.entity:AddNetwork()

    MakeInventoryPhysics(inst)

    inst.AnimState:SetBank("armor_grass")
    inst.AnimState:SetBuild("armor_redgem")
    inst.AnimState:PlayAnimation("anim")





    inst.foleysound = "dontstarve/movement/foley/jewlery"

    inst.entity:SetPristine()

    if not TheWorld.ismastersim then
        return inst
    end

    inst:AddComponent("inspectable")





    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.imagename = "armor_redgem"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/armor_redgem.xml"

    inst:AddComponent("armor")
    inst.components.armor:InitCondition(1200, TUNING.ARMORWOOD_ABSORPTION)


    inst:AddComponent("equippable")
    inst.components.equippable.equipslot = EQUIPSLOTS.BODY
	
	inst:AddComponent("insulator")
    inst.components.insulator:SetInsulation( TUNING.INSULATION_SMALL )


	


    inst.components.equippable:SetOnEquip(onequip)
    inst.components.equippable:SetOnUnequip(onunequip)

    MakeHauntableLaunch(inst)

	inst:AddTag("waterproofer")
	inst:AddComponent("waterproofer")
    inst.components.waterproofer:SetEffectiveness(TUNING.WATERPROOFNESS_SMALL)

    return inst
end

return Prefab("common/inventory/armor_redgem", fn, assets)



