local assets =
{
    Asset("ANIM", "anim/armor_yellowgem.zip"),
    Asset("ATLAS", "images/inventoryimages/armor_yellowgem.xml"),
	Asset("IMAGE", "images/inventoryimages/armor_yellowgem.tex"),
}



local function OnBlocked(owner)
    owner.SoundEmitter:PlaySound("dontstarve/wilson/hit_scalemail")
	
end

local function OnTakeDamage(inst, damage_amount)
    local owner = inst.components.inventoryitem.owner
    if owner then
        local sanity = owner.components.sanity
        if sanity then
            local unsaneness = damage_amount * 0.2
            sanity:DoDelta(unsaneness, false)
        end
    end
end







local function onequip(inst, owner)
    owner.AnimState:OverrideSymbol("swap_body", "armor_yellowgem", "swap_body")
    inst:ListenForEvent("blocked", OnBlocked, owner)

end

local function onunequip(inst, owner)
    owner.AnimState:ClearOverrideSymbol("swap_body")
    inst:RemoveEventCallback("blocked", OnBlocked, owner)

end

local function fn()
    local inst = CreateEntity()
    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    inst.entity:AddNetwork()

    MakeInventoryPhysics(inst)

    inst.AnimState:SetBank("armor_grass")
    inst.AnimState:SetBuild("armor_yellowgem")
    inst.AnimState:PlayAnimation("anim")


    inst.foleysound = "dontstarve/movement/foley/jewlery"

    inst.entity:SetPristine()

    if not TheWorld.ismastersim then
        return inst
    end

    inst:AddComponent("inspectable")





    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.imagename = "armor_yellowgem"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/armor_yellowgem.xml"

    inst:AddComponent("armor")
    inst.components.armor:InitCondition(2000, TUNING.ARMORDRAGONFLY_ABSORPTION)
	inst.components.armor.ontakedamage = OnTakeDamage
	
		

    inst:AddComponent("equippable")
    inst.components.equippable.equipslot = EQUIPSLOTS.BODY
	inst.components.equippable.walkspeedmult = 1.05


	inst.components.equippable.dapperness = TUNING.DAPPERNESS_TINY
    inst.components.equippable:SetOnEquip(onequip)
    inst.components.equippable:SetOnUnequip(onunequip)

    MakeHauntableLaunch(inst)

	inst:AddTag("waterproofer")
	inst:AddComponent("waterproofer")
    inst.components.waterproofer:SetEffectiveness(TUNING.WATERPROOFNESS_SMALL)

    return inst
end

return Prefab("armor_yellowgem", fn, assets)



